#!/bin/sh
#
# (c) 2000 Sun Microsystems, Inc.
#

# interface script for the QS qstat command
#
# $1 = jobid
#
#set -x

# Clean up tmp files and return with given exit status
CleanUp()
{
  rm $ERRFILE
  rm $OUTFILE
  exit $1
}

# set PATH - better safe than sorry
PATH=/bin:/usr/bin:/usr/bsd:/usr/etc:$PATH
export PATH

# set host that we conect to via rsh
QSI_MACHINE=hosti

# tmp files
ERRFILE=/usr/tmp/interface.err.$$
OUTFILE=/usr/tmp/interface.out.$$

# We execute the qstat -a command remotely.
# To get the exit status we append it to stdout
rsh $QSI_MACHINE 'qstat -a ; echo $?' 2> $ERRFILE >$OUTFILE

# rsh failed ?
if [ $? -eq 1 ]; then
  cat $ERRFILE 1>&2
  CleanUp 1
fi

# qstat failed ?
if [ `tail -1 $OUTFILE` != 0 ]; then
  cat $ERRFILE 1>&2
  CleanUp 1
fi

# we succeeded, now lets look for the job
status=`grep $1 $OUTFILE`

# is it there?
if [ $? -eq 1 ]; then
  CleanUp 2
fi

# yes it is - output status line
echo $status

CleanUp 0
